/* red button */
.red-btn .elementor-button{
	position: relative;
	overflow: hidden;
	transition: border-color 0.5s ease-in-out;
}

.red-btn .elementor-button::before{
    content: '';
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    
    /* light shine based on red base */
    background: linear-gradient(
        90deg,
        rgba(151, 2, 0, 0) 0%,
        rgba(255, 255, 255, 0.18) 50%,
        rgba(151, 2, 0, 0) 100%
    );

    transition: left 0.6s ease-in-out;
    z-index: 0;
}

.red-btn .elementor-button .elementor-button-content-wrapper{
	position: relative;
	z-index: 1;
}

.red-btn .elementor-button:hover::before {
    left: 100%;
}

/* button base */
.white-btn .elementor-button{
	position: relative;
	overflow: hidden;
	background: transparent;
}

/* initial white overlay (hidden) */
.white-btn .elementor-button::after{
	content: '';
	position: absolute;
	inset: 0;
	background: #ffffff;

	opacity: 0;
	transition: opacity 0.6s ease-in-out;
	z-index: 0;
}

/* shine effect */
.white-btn .elementor-button::before{
	content: '';
	position: absolute;
	inset: 0;

	background: linear-gradient(
		90deg,
		transparent 0%,
		rgba(255,255,255,0.25) 50%,
		transparent 100%
	);

	left: -100%;
	transition: left 0.6s ease-in-out;
	z-index: 1;
	width: 0;
}

/* hover state */
.white-btn .elementor-button:hover::after{
	opacity: 1;
}

.white-btn .elementor-button:hover::before{
	left: 100%;
	width: 100%;
}

/* text always above */
.white-btn .elementor-button .elementor-button-content-wrapper{
	position: relative;
	z-index: 2;
}

/* Main wrapper */
.sub-head-dot .elementor-heading-title{
    position: relative;
    display: inline-flex;
    align-items: center;
    gap: 12px;
}

/* Red blinking dot */
.sub-head-dot .elementor-heading-title::before{
    content: "";
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background: #FE351B;
    flex-shrink: 0;
    animation: blinkDot 1.2s infinite ease-in-out;
    box-shadow: 0 0 0 rgba(254,53,27,0.6);
}

/* Pulse / blink animation */
@keyframes blinkDot{
    0%{
        opacity: 1;
        transform: scale(1);
        box-shadow: 0 0 0 0 rgba(254,53,27,0.6);
    }
    50%{
        opacity: .45;
        transform: scale(0.85);
        box-shadow: 0 0 0 8px rgba(254,53,27,0);
    }
    100%{
        opacity: 1;
        transform: scale(1);
        box-shadow: 0 0 0 0 rgba(254,53,27,0);
    }
}

/* Footer Contact section */
.contact-info-wrap{
	border-image: linear-gradient(0deg, rgba(255, 255, 255, 0) 11%, #FE351B3D 61%, rgba(255, 255, 255, 0) 85%) 1;
}
.contact-grad-divider .elementor-divider-separator{
	border-image: linear-gradient(90deg, rgba(43, 73, 64, 0.2) 0%, rgba(43, 73, 64, 0) 100%) 1;
}
.contact-info-item .elementor-image-box-img{
	flex-shrink: 0;
}
.contact-info-item .elementor-image-box-img img{
    background-color: var(--e-global-color-accent);
    box-shadow:
        0px 4px 4px 0px #FFFFFF80 inset,
        0px 34px 65px 0px #FE351B42;
    border-radius: 16px;
		padding: 20px;
		width: 80px;
    height: 80px;
    object-fit: contain;
}
.contact-info-item .elementor-image-box-img img:hover{
	box-shadow: -5px -7px 4px 0px #FFFFFF80 inset, 0px 34px 65px 0px #FE351B42;
}

.contact-info-item .elementor-image-box-description a:hover, .contact-info-item .elementor-image-box-title a:hover{
	transition-duration: 0.3s;
	color: var(--e-global-color-accent);
}
.contact-form-wrapper .gform_body input, .contact-form-wrapper .gform_body select, .contact-form-wrapper .gform_body textarea{
	padding: 15px 29px !important;
	border: 1px solid #19181826;
	background: linear-gradient(180deg, #FFF5F4 0%, #FFFFFF 100%);
	font-family: "Mona Sans";
	font-weight: 400;
	font-size: 16px !important;
	line-height: 30px;
	border-radius: 16px;
	color: #5A5A5E;
	min-height: 70px;
}
.contact-form-wrapper .gform_body select{
	padding-right: 50px !important;
}
.contact-form-wrapper .gform_body input:focus,
.contact-form-wrapper .gform_body input:focus-visible, .contact-form-wrapper .gform_body select:focus-visible, .contact-form-wrapper .gform_body select:focus, .contact-form-wrapper .gform_body textarea:focus-visible, .contact-form-wrapper .gform_body textarea:focus{
    border-color: var(--e-global-color-accent) !important;
    box-shadow: none;
    outline: 1px solid var(--e-global-color-accent) !important;
}
.contact-form-wrapper .gform-footer{
	padding-bottom: 0 !important;
}
.contact-form-wrapper .gform-footer input.gform_button:focus-visible, .contact-form-wrapper .gform-footer input.gform_button:focus{
    outline: none !important;
}

.contact-form-wrapper .ginput_container_select {
    position: relative;
    width: 100%;
}

.contact-form-wrapper .ginput_container_select select {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
}

.contact-form-wrapper .ginput_container_select::after {
    content: "";
    position: absolute;
    top: 50%;
    right: 29px;
    width: 0;
    height: 0;
    transform: translateY(-50%);
    pointer-events: none;
    border-left: 7px solid transparent;
    border-right: 7px solid transparent;
    border-top: 8px solid #ff5a3c;
		border-radius: 8px;
}

.contact-form-wrapper .ginput_container_select select:invalid {
    color: #a8a8a8;
}

.contact-form-wrapper .ginput_container_select select option {
    color: #333;
}
.contact-form-wrapper .gform_validation_errors, .contact-form-wrapper .gform_required_legend{
	display: none;
}
.contact-form-wrapper .gfield_description.validation_message{
	padding: 0px 10px !important;
	font-size: 14px !important;
	border-radius: 16px;
	border: none !important;
	background-color: transparent !important;
}
.contact-form-wrapper .gform_button{
	line-height: 1;
}

/* Footer Social icon */
.social-icon  .elementor-grid-item{
    box-shadow: 0px 34px 65px 0px #FE351B42;
}
.social-icon  .elementor-icon{
    box-shadow: 0px 4px 4px 0px #FFFFFF80 inset;
}
.social-icon  .elementor-grid-item:nth-child(3) svg path{
    fill: #fff;
}

/* Home Service box */
.service-item{
	transition: all 0.3s ease-in-out;
}
.service-item:hover{
	box-shadow: 0px 18px 86px 0px #1918180F;
}

.service-item .image-box img{
	transition: all 0.5s ease-in-out;
}

.service-item:hover .image-box img{
	transform: scale(1.2);
	transition: all 0.5s ease-in-out;
} 

.icon-box{
background-color: var(--e-global-color-accent);
    box-shadow: 0px 4px 4px 0px #FFFFFF80 inset, 0px 34px 65px 0px #FE351B42;
    border-radius: 16px;
    padding: 15px;
    width: 60px;
    height: 60px;
    object-fit: contain;
}
.service-item .arrow-btn{
	margin-top: auto !important;
}
.service-item .arrow-btn svg{
    width: 35px;
		position: relative;
}

.service-item .arrow-btn .elementor-button{
  position: relative;
  overflow: hidden;
  transition: border-color 0.3s ease;
}

.service-item .arrow-btn .elementor-button::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 0%;
  height: 100%;
  background: #e8341c;
  border-radius: 50px;
  transition: width 0.35s ease;
  z-index: 0;
}
.service-item .arrow-btn {
  position: relative;
  z-index: 1;
  transition: color 0.2s ease;
}

.service-item:hover .arrow-btn .elementor-button::before {
  width: 100%;
}

.service-item:hover .arrow-btn .elementor-button{
  border-color: #e8341c !important;
  color: #ffffff !important;
}

.service-item:hover .arrow-btn svg path{
  stroke: #ffffff;
}

.scale-hover-image .elementor-widget-image{
	overflow: hidden;
	border-radius: 30px;
}

.scale-hover-image .elementor-widget-image img{
    transition: transform 0.5s ease-in-out;
}

.scale-hover-image:hover .elementor-widget-image img{
    transform: scale(1.2);
}

/* Content wrapper */
.adv-service-item .inner-wrapper{
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.45s ease,
                transform 0.45s ease,
                visibility 0s linear 0.45s;
}
.adv-service-item .elementor-widget-image::before{
	content: "";
    position: absolute;
    inset: 0;
    background: rgba(25, 24, 24, 0);
    z-index: 1;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
		transition: background 0.5s ease-in-out;
}

.adv-service-item:hover .elementor-widget-image::before{
    background: rgba(25, 24, 24, 0.6);
		transition: background 0.5s ease-in-out;
}

/* Hover show */
.adv-service-item:hover .inner-wrapper{
    opacity: 1;
    visibility: visible;
    transition: opacity 0.45s ease,
                transform 0.45s ease,
                visibility 0s linear 0s;
}

.image-slider .swiper-pagination .swiper-pagination-bullet{
	outline: 1px solid transparent;
	outline-offset: 9px;
	opacity: 1;
}
.image-slider .swiper-pagination .swiper-pagination-bullet:hover{
	outline: 1px solid #FE351B3D;
	background: #fe351b;
	
}
.image-slider .swiper-pagination .swiper-pagination-bullet.swiper-pagination-bullet-active{
	outline: 1px solid #FE351B3D;

}

.image-slider .scale-hover-image{
	height: 100%;
}

header .e-off-canvas__overlay{
    position: fixed !important;
    height: 100vh !important;
}

.google-map-box iframe{
	border-radius: 10px !important;
}

.google-map-box .elementor-custom-embed{
	background-color: #fff5f4 !important;
}

.team-description {
    position: relative;
}

/* collapsed state */
.team-description.clamp {
    display: -webkit-box;
    -webkit-line-clamp: 5;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

/* toggle button */
.read-more-toggle {
    display: inline-block;
    margin-top: 8px;
    color: #0073aa;
    cursor: pointer;
    font-weight: 500;
    text-align: center;
    margin: auto;
    margin-top: 5px;
    display: flex;
}

.read-more-toggle:hover {
    color: var(--e-global-color-accent) !important;
}

@media (max-width: 1200px){
	.contact-info-item .elementor-image-box-img img{
		width: 70px;
		height: 70px;
	}
}

@media (max-width: 1024px){
	.service-item .arrow-btn svg{
		width: 25px;
	}
}

@media (max-width: 767px){
	.contact-grad-divider .elementor-divider-separator{
		border-image: linear-gradient(90deg,rgba(43, 73, 64, 0) 0%, rgba(43, 73, 64, 0.2) 50%, rgba(43, 73, 64, 0) 100%) 1;
	}
	.service-item .arrow-btn svg{
		width: 20px;
	}
	.adv-service-item .inner-wrapper{
		opacity: 1;
		visibility: visible;
	}
	.adv-service-item:hover .elementor-widget-image::before{
		background: rgba(25, 24, 24, 0);
	}
	.image-slider .swiper-pagination .swiper-pagination-bullet{
	outline-offset: 6px;
		}
	.adv-service-item{
		display: grid !important;
	}
	.adv-service-item .inner-wrapper{
		position: unset;
	}
	.adv-service-item .elementor-heading-title{
		color: var( --e-global-color-primary ) !important;
	}
	.adv-service-item .elementor-widget-text-editor{
		color: var( --e-global-color-text ) !important;
	}
	.adv-service-item{
		max-width: 600px;
	}
}